from ..tasks.band_task import BandTask

class BandAgent:
    def __init__(self):
        self.band_task = BandTask()

    def get_bands(self):
        return self.band_task.get_bands()

    def create_post(self, content: str):
        return self.band_task.create_post(content)
    
    def get_posts(self):
        return self.band_task.get_posts()
    
    def get_post(self, post_key: str):
        return self.band_task.get_post(post_key)
    
    def upload_photo(self, file_path: str) -> dict:
        return self.band_task.upload_photo(file_path)
    
    def create_post_with_photo(self, content: str, photo_keys: list) -> dict:
        return self.band_task.create_post_with_photo(content, photo_keys)
