from ..tasks.google_drive_task import GoogleDriveTask
from ..ha_constant import HaConstant

class GoogleDriveAgent:
    def __init__(self):
        self.task_google_drive = GoogleDriveTask()
        self.embed_dir = HaConstant.embed_dir

    def upload_transcript_text(self, audio_id):
        filename = f"{self.embed_dir}/{audio_id}"
        self.task_google_drive.upload_folder(local_folder_path=filename)
        self.task_google_drive.upload_file(filename=filename, audio_id=audio_id)


    def delete_local_files(self, audio_id):
        self.task_google_drive.delete_file(audio_id=audio_id)
