from ..tasks.rag_task import RAGTask
from ..model.rag_basic_model import RAGBasicModel
class RAGAgent:
    def __init__(self):
        self.task = RAGTask()

    def get_rag_data(self, url:str):
        self.agent.get_yt_info(url)

    def get_basic_chain(self, data:RAGBasicModel):
        audio_id = data.audio_id
        question = data.question
        chain = self.task.get_basic_chain(audio_id)
        res = chain.invoke({"input": question})
        return res


