
from pydantic import BaseModel
from typing import List

class BrevoMailType(BaseModel):
    email: str
    name: str

class BrevoMailBody(BaseModel):
    sender: BrevoMailType
    to: List[BrevoMailType]
    subject: str
    htmlContent: str